#include "CS_SantaFishFaceToBack.h"
const int CS_SantaFishSTATENAME_FACETOBACK = GetNextEntityStateID();
CS_SantaFishFaceToBack::CS_SantaFishFaceToBack()
{
	stateID = CS_SantaFishSTATENAME_FACETOBACK;
}

void CS_SantaFishFaceToBack::State()
{
	auto we = e.lock();
	if (!we)
		return;

	we->ani.sprite_index = we->lr == 0 ? L"mc_santafish_back_l" : L"mc_santafish_back_r";
}

void CS_SantaFishFaceToBack::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
